
Lookup Editor - Feature #2116

Feature # 2108 (Closed): Break up LookupEditView

Break out handsontable into a separate view

10/29/2017 06:49 PM - Luke Murphey

Status: Closed Start date: 10/29/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

Associated revisions

Revision 412 - 10/29/2017 07:29 PM - lukemurphey

Broke out Handsontable into a separate view

Closes #2116

Revision 430 - 10/29/2017 07:29 PM - lukemurphey

Broke out Handsontable into a separate view

Closes #2116

Revision 413 - 10/30/2017 05:03 AM - lukemurphey

Making lookup refresh properly

Reference #2116

Revision 431 - 10/30/2017 05:03 AM - lukemurphey

Making lookup refresh properly

Reference #2116

Revision 416 - 10/30/2017 06:12 AM - lukemurphey

Moving error message out from the table edit view into the lookup edit view

Reference #2116

Revision 434 - 10/30/2017 06:12 AM - lukemurphey

Moving error message out from the table edit view into the lookup edit view

Reference #2116
Revision 418 - 10/30/2017 06:18 AM - lukemurphey

Removing unnecesary imports

Reference #2116

Revision 436 - 10/30/2017 06:18 AM - lukemurphey

Removing unnecesary imports

Reference #2116

Revision 419 - 10/30/2017 06:59 AM - lukemurphey

Fixing error when adding a new row

Reference #2116

Revision 437 - 10/30/2017 06:59 AM - lukemurphey

Fixing error when adding a new row

Reference #2116

Revision 420 - 10/30/2017 08:31 PM - lukemurphey

Fixing hook which was wrong for the creation of new rows

Reference #2116

Revision 438 - 10/30/2017 08:31 PM - lukemurphey

Fixing hook which was wrong for the creation of new rows

Reference #2116

History

#1 - 10/29/2017 06:55 PM - Luke Murphey

Need to:

Make views use this.$el

#2 - 10/29/2017 06:59 PM - Luke Murphey

Imports are not working correctly. It looks like exportation is incorrect though.

#3 - 10/29/2017 08:18 PM - Luke Murphey

Refreshing doesn't currently work.

Cell editing results in a new row on KV collections

showWarningMessage is still in the table editor
#4 - 10/29/2017 08:19 PM - Luke Murphey

- % Done changed from 0 to 70

#5 - 10/29/2017 08:22 PM - Luke Murphey

This reduces the file from ~2800 lines to ~2000.

#6 - 10/30/2017 05:02 AM - Luke Murphey

Refreshing doesn't work.

Questions:

Is this related to one of the options?

Removing all options: no change

Does just calling render work?

No, same result

Observations:

This appears to be due to re-rendering the entire component. Re-rendering only the lookup works.

#7 - 10/30/2017 08:32 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 70 to 100
